package cn.com.qmth.examcloud.core.oe.task.service;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamCaptureQueueEntity;
import cn.com.qmth.examcloud.core.oe.task.service.bean.FaceApiParam;

import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * 处理考试抓拍队列
 */
public interface ExamCaptureQueueService {

    void handlerExamCaptureQueuesByExamRecordDataId(Long examRecordDataId, List<ExamCaptureQueueEntity> queues, FaceApiParam param, AtomicInteger successCount);

    List<Long> findQueuesGroupByExamRecordDataId(int shardTotal, int shardIndex, int batchSize, int maxErrorNum, boolean examHandInFirst);

}
